#NoTrayIcon
#include 'Windows.h.au3'

Global $hWindowProc = DllCallbackRegister('WndProc', 'long', 'hwnd;uint;wparam;lparam')
Global $stClassName  =  DllStructCreate('char szClassName[100]')
Global $g_szClassName = DllStructSetData($stClassName,1,'WindowClass')
Global $hInst = GetModuleHandle("")

WinMain()
DllCallbackFree($hWindowProc)
$stClassName = 0
;~Etape 4: Procdure de la fentre | window Procedure
Func WndProc($hWnd, $Msg, $wParam, $lParam)
	Switch ($Msg)
		Case $WM_CLOSE
			DestroyWindow($hWnd)
		Case $WM_DESTROY
			PostQuitMessage(0)
		Case Else
			Return DefWindowProc($hWnd, $Msg, $wParam, $lParam)
	EndSwitch
	Return 0
EndFunc ;==>CALLBACK_WndProc

Func WinMain()
	Local $WC = DllStructCreate($WNDCLASSEX)
	Local $iMsg = DllStructCreate($MSG)
	Local $hWnd = WinGetHandle("")

	;~Etape 1: Class de fentre enregistrer | Registering the Window Class
	DllStructSetData($WC, 'cbSize', DllStructGetSize($WC))
	DllStructSetData($WC, 'style', BitOR($CS_HREDRAW, $CS_VREDRAW))
	DllStructSetData($WC, 'lpfnWndProc', DllCallbackGetPtr($hWindowProc))
	DllStructSetData($WC, 'cbClsExtra', 0)
	DllStructSetData($WC, 'cbWndExtra', 0)
	DllStructSetData($WC, 'hInstance', $hInst)
	DllStructSetData($WC, 'hIcon', LoadIcon(0, $IDI_ASTERISK))
	DllStructSetData($WC, 'hCursor', LoadCursor(0, $IDC_ARROW))
	DllStructSetData($WC, 'hbrBackground', GetStockObject($WHITE_BRUSH))
	DllStructSetData($WC, 'lpszMenuName', 0)
	DllStructSetData($WC, 'lpszClassName', DllStructGetPtr($stClassName))
	DllStructSetData($WC, 'hIconSm', LoadIcon(0, $IDI_WINLOGO))

	If Not (RegisterClassEx($WC)) Then
		MsgBox(266256, Default, 'Window Registration Failed')
		Return 0
	EndIf

	;~Etape 2: Cration de la fentre | Create window
	$hWnd = CreateWindowEx( 0, $g_szClassName, 'Tutorial', _ 
	$WS_OVERLAPPEDWINDOW, $CW_USEDEFAULT, $CW_USEDEFAULT, _
	240, 120, 0, 0, $hInst, 0)

	If ($hWnd == 0) Then
		MsgBox(266256, Default, "Window Creation Failed!")
		Return 0
	EndIf

	ShowWindow($hWnd,5)
	UpdateWindow($hWnd)

	;~Etape 3: Message loop | The Message Loop
	While (GetMessage($iMsg, $Null, 0, 0) > 0)
		TranslateMessage($iMsg)
		DispatchMessage($iMsg)
	WEnd
	
	;~Dcharge les structure
	$WC = 0
	$iMsg = 0
	Return DllStructGetData($iMsg, 'wParam')
EndFunc ;==>WINAPI_WinMain